Tenants
/api/tenantsAuthorization
api_key In: header
Query Parameters
Response Body
application/json
curl -X GET "https://example.com/api/tenants"{ "tenants": [ { "created_at": "2019-08-24T14:15:22Z", "default_object_store_id": "de9e8514-d6c0-46eb-9a55-a78c05224752", "name": "string", "sites": null, "slug": "string", "status": "Active", "tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0", "updated_at": "2019-08-24T14:15:22Z", "zitadel_org_id": "string" } ]}/api/tenantsAuthorization
api_key In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/tenants" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "sites": [ { "name": "string" } ] }'{ "tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0"}/api/tenants/{tenant_id}Authorization
api_key In: header
Path Parameters
Tenant ID
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/api/tenants/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "created_at": "2019-08-24T14:15:22Z", "default_object_store_id": "de9e8514-d6c0-46eb-9a55-a78c05224752", "name": "string", "sites": null, "slug": "string", "status": "Active", "tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0", "updated_at": "2019-08-24T14:15:22Z", "zitadel_org_id": "string"}/api/tenants/{tenant_id}/object-storesAuthorization
api_key In: header
Path Parameters
Tenant ID
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/api/tenants/497f6eca-6276-4993-bfeb-53cbbbba6f08/object-stores"{ "object_stores": [ { "configuration": { "base_url": "string", "option_keys": [ "string" ] }, "created_at": "2019-08-24T14:15:22Z", "is_default": true, "name": "string", "object_store_id": "0981659b-0adc-49c3-902c-26e9d16152f2", "updated_at": "2019-08-24T14:15:22Z" } ]}/api/tenants/{tenant_id}/register-object-storeAuthorization
api_key In: header
Path Parameters
Tenant ID
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/tenants/497f6eca-6276-4993-bfeb-53cbbbba6f08/register-object-store" \ -H "Content-Type: application/json" \ -d '{ "base_url": "string", "name": "string", "options": { "property1": "string", "property2": "string" } }'{ "object_store_id": "0981659b-0adc-49c3-902c-26e9d16152f2"}/api/tenants/{tenant_id}/select-default-object-storeAuthorization
api_key In: header
Path Parameters
Tenant ID
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/tenants/497f6eca-6276-4993-bfeb-53cbbbba6f08/select-default-object-store" \ -H "Content-Type: application/json" \ -d '{ "object_store_id": "0981659b-0adc-49c3-902c-26e9d16152f2" }'/api/tenants/{tenant_id}/superset-connection/retryAuthorization
api_key In: header
Path Parameters
Tenant ID
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/tenants/497f6eca-6276-4993-bfeb-53cbbbba6f08/superset-connection/retry"{ "status": "Pending"}/api/tenants/{tenant_id}/superset-connection/rotateAuthorization
api_key In: header
Path Parameters
Tenant ID
uuidResponse Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/tenants/497f6eca-6276-4993-bfeb-53cbbbba6f08/superset-connection/rotate"/api/tenants/{tenant_id}/suspendAuthorization
api_key In: header
Path Parameters
Tenant ID
uuidResponse Body
application/json
application/json
curl -X POST "https://example.com/api/tenants/497f6eca-6276-4993-bfeb-53cbbbba6f08/suspend"/api/tenants/{tenant_id}/update-object-store-optionsAuthorization
api_key In: header
Path Parameters
Tenant ID
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/tenants/497f6eca-6276-4993-bfeb-53cbbbba6f08/update-object-store-options" \ -H "Content-Type: application/json" \ -d '{ "object_store_id": "0981659b-0adc-49c3-902c-26e9d16152f2", "options": { "property1": "string", "property2": "string" } }'